(ns microtables-frontend.core
  (:require
   [microtables-frontend.config :as config]
   [microtables-frontend.events :as events]
   [microtables-frontend.views :as views]
   [re-frame.core :as re-frame]
   [reagent.core :as reagent]))

(defn dev-setup []
  (when config/debug?
    (println "dev mode")))

(defn ^:dev/after-load mount-root []
  (re-frame/clear-subscription-cache!)
  (reagent/render [views/main-panel]
                  (.getElementById js/document "app")))

(defn init []
  (re-frame/dispatch-sync [::events/initialize-db])
  (dev-setup)
  (mount-root))
