(ns microtables-frontend.views.control-panel
  (:require
   [microtables-frontend.events :as events]
   [re-frame.core :as re-frame]))

(defn- extend-range
  []
  [:div {:class "control-group"}
   [:div {:class "control-label"}
    "Extend Range"]
   [:button "-cols"]
   [:input]
   [:button]])

(defn- controls []
  [:div
   ;[extend-range]
   ;extend range (number field, then shrink/left/up and expand/right/down buttons on either side)
   ;fill range (single tap, single column/row fill? number field and button?)
   ;move range (designate new "top-left corner" cell for range, figure out overwriting destination cells)
   ;empty range (delete contents, re-evaluate)
   ;delete range (figure out how to move cells over)
   ;copy range (figure out clipboard)
   [:div
    {:class "control-group"}
    #_[:a ;TODO: consider making the "About" info an overlay rather than a link
       {:href "/about.html"
        :target "_blank"}
       "About"]
    "This is a demo version only, and still in development. Nothing gets saved for the moment."
    [:br]
    "Try adding values (plain numbers) or formulae (ex: \"=B2 + sum(A1:A6)\") into the cells."
    [:br]
    "Created by "
    [:a
     {:href "https://betweentwocommits.com/about"
      :target "_blank"}
     "Brandon Wong"]]])

(defn control-panel [state]
  [:div
   {:id "controls"}
   [:div
    ;TODO: link left controls with position of the whole table
    {:id "controls-left"
     :class (if (= state :left) "open" "")}
    [controls]]
   [:div
    {:id "controls-bottom"
     :class (if (= state :bottom) "open" "")}
    [controls]]
   ;←↑→↓
   [:div
    {:id "left-controls-button"
     :on-click #(re-frame/dispatch [::events/set-controls-state (if (= state :left) nil :left)])}
    (if (= state :left) "←" "→")]
   [:div
    {:id "bottom-controls-button"
     :on-click #(re-frame/dispatch [::events/set-controls-state (if (= state :bottom) nil :bottom)])}
    (if (= state :bottom) "↓" "↑")]
   [:div
    {:id "main-logo"
     :title "Microtables"}
    [:img {:src "logo.svg"}]]])
